Part Kreis

From FreeCAD Documentation
This page is a translated version of the page Part Circle and the translation is 73% complete.

Part Kreis

Menüeintrag
Formteil → Create primitives → Kreis
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Ein Part Kreis ist ein parametrischer Volumenkörper, der mit dem Befehl Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, liegt der Kreis auf der XY-Ebene mit seinem Mittelpunkt im Ursprung.

Ein Part-Kreis ist eigentlich ein gegen den Uhrzeigersinn verlaufender 360°-Kreisbogen. Er kann in einen Kreissegment gewandelt werden, indem die Daten-EigenschaftAngle1 und/oder die Daten-EigenschaftAngle2 geändert wird.

Anwendung

Siehe Part Grundelemente.

A Part Circle can alternatively be created by selecting three points:

  1. In the task panel of the Part Primitives command select the Circle option from the dropdown list.
  2. Press the From three points button.
  3. Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
  4. A circle is created.
  5. The selected vertices are only used at creation time to calculate the DatenRadius and DatenPlacement of the circle.

Beispiel

Part-Kreis aus dem Skriptbeispiel

Ein Part-Kreis-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Kreis-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • Daten-EigenschaftRadius (Length): Der Radius des Kreises oder Kreisbogens. Standard ist 2mm.
  • Daten-EigenschaftAngle1 (Angle): Der Startwinkel des Kreisbogens. Wertebereich: 0° < value <= 360°. Standard ist .
  • Daten-EigenschaftAngle2 (Angle): Der Endwinkel des Kreisbogens: 0° < value <= 360°. Standard ist 360°. Sind Daten-EigenschaftAngle1 und Daten-EigenschaftAngle2 gleich, oder ist ein Winkel und der andere 360°, wird ein Vollkreis erstellt.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Circle can be created with the addObject() method of the document:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()